# camerabingeneral

Common helper functions for camerabin.

## GstCameraBinPreviewPipelineData

### Members

`pipeline` (GstElement *) –
No description available
`appsrc` (GstElement *) –
No description available
`filter` (GstElement *) –
No description available
`appsink` (GstElement *) –
No description available
`vscale` (GstElement *) –
No description available
`element` (GstElement *) –
No description available
`pending_preview_caps` (GstCaps *) –
No description available
`processing` (guint) –
No description available
`processing_lock` (GMutex) –
No description available
`processing_cond` (GCond) –
No description available

## Functions

### gst_camerabin_create_preview_pipeline

    GstCameraBinPreviewPipelineData *
    gst_camerabin_create_preview_pipeline (GstElement * element,
                                           GstElement * filter)

Creates a new previewing pipeline that can receive buffers to be posted as camerabin preview messages for element

Parameters:

`element` –

Owner of this pipeline

`filter` –

Custom filter to process preview data (an extra ref is taken)

Returns –

The newly created GstCameraBinPreviewPipelineData

### gst_camerabin_destroy_preview_pipeline

    gst_camerabin_destroy_preview_pipeline (GstCameraBinPreviewPipelineData * preview)

Frees a GstCameraBinPreviewPipelineData

Parameters:

`preview` –

the GstCameraBinPreviewPipelineData

### gst_camerabin_preview_pipeline_post

    gboolean
    gst_camerabin_preview_pipeline_post (GstCameraBinPreviewPipelineData * preview,
                                         GstSample * sample)

Converts the sample to the desired format and posts the preview message to the bus.

Parameters:

`preview` –

the GstCameraBinPreviewPipelineData

`sample` –

the sample to be posted as a preview

Returns –

TRUE on success

### gst_camerabin_preview_set_caps

    gst_camerabin_preview_set_caps (GstCameraBinPreviewPipelineData * preview,
                                    GstCaps * caps)

The caps that preview buffers should have when posted on the bus

Parameters:

`preview` –

the GstCameraBinPreviewPipelineData

`caps` –

the GstCaps to be set (a new ref will be taken)

### gst_camerabin_preview_set_filter

    gboolean
    gst_camerabin_preview_set_filter (GstCameraBinPreviewPipelineData * preview,
                                      GstElement * filter)

Set the filter element into preview pipeline.

Parameters:

`preview` –

the GstCameraBinPreviewPipelineData

`filter` –

Custom filter to process preview data (an extra ref is taken)

Returns –

TRUE on success

The results of the search are